from __future__ import annotations
from typing import Any
from enum import IntEnum
from enum import auto

class CircleKind(IntEnum):
    FULL = auto()
    SECTION = auto()
    CUT = auto()
    ARC = auto()
